Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.security
Class GlobalPermissionDelegate

    java.lang.Object
      com.atlassian.bamboo.security.GlobalPermissionDelegate

All Implemented Interfaces:
  PermissionDelegate

    public class GlobalPermissionDelegate

extends Object
implements PermissionDelegate

A really simple permission delegate that lets bamboo-admin groups edit & admin etc but lets annonymous users see stuff.

Field Summary
`static String` | `BAMBOO_ADMIN`
`static String` | `BAMBOO_USER`

Constructor Summary
`GlobalPermissionDelegate()`

Method Summary
`boolean` | `canAdminister(User user, Object target)`
`boolean` | `canCreate(User user, Object target)`
`boolean` | `canDelete(User user, Object target)`
`boolean` | `canUpdate(User user, Object target)`
`boolean` | `canView(User user, Object target)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAMBOO_USER

    public static final String BAMBOO_USER

See Also:
  Constant Field Values

### BAMBOO_ADMIN

    public static final String BAMBOO_ADMIN

See Also:
  Constant Field Values

Constructor Detail

### GlobalPermissionDelegate

    public GlobalPermissionDelegate()

Method Detail

### canCreate

    public boolean canCreate(User user,
                             Object target)

  Specified by:
    `canCreate` in interface `PermissionDelegate`

### canView

    public boolean canView(User user,
                           Object target)

  Specified by:
    `canView` in interface `PermissionDelegate`

### canUpdate

    public boolean canUpdate(User user,
                             Object target)

  Specified by:
    `canUpdate` in interface `PermissionDelegate`

### canDelete

    public boolean canDelete(User user,
                             Object target)

  Specified by:
    `canDelete` in interface `PermissionDelegate`

### canAdminister

    public boolean canAdminister(User user,
                                 Object target)

  Specified by:
    `canAdminister` in interface `PermissionDelegate`

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.